# DataExchange
TKXSBase
StepSelect

# StepSelect_WorkLibrary Class Reference

Performs Read and Write a STEP File with a STEP Model
Following the protocols, Copy may be implemented or not
.

`#include <StepSelect_WorkLibrary.hxx>`

Inheritance diagram for StepSelect_WorkLibrary:

[legend]

## Public Member Functions

Standard_EXPORT | StepSelect_WorkLibrary (const Standard_Boolean copymode=Standard_True)
| Creates a STEP WorkLibrary <copymode> precises whether Copy is implemented or not .
Standard_EXPORT void | SetDumpLabel (const Standard_Integer mode)
| Selects a mode to dump entities 0 (D) : prints numbers, then displays table number/label 1 : prints labels, then displays table label/number 2 : prints labels onky .
Standard_EXPORT Standard_Integer | ReadFile (const Standard_CString name, Handle(Interface_InterfaceModel)&model, const Handle(Interface_Protocol)&protocol) const
| Reads a STEP File and returns a STEP Model (into <mod>), or lets <mod> "Null" in case of Error Returns 0 if OK, 1 if Read Error, -1 if File not opened .
Standard_EXPORT Standard_Boolean | WriteFile (IFSelect_ContextWrite &ctx) const
| Writes a File from a STEP Model Returns False (and writes no file) if <ctx> does not bring a STEP Model .
virtual Standard_EXPORT Standard_Boolean | CopyModel (const Handle(Interface_InterfaceModel)&original, const Handle(Interface_InterfaceModel)&newmodel, const Interface_EntityIterator &list, Interface_CopyTool &TC) const
| Performs the copy of entities from an original model to a new one. Works according <copymode> : if True, standard copy is run else nothing is done and returned value is False .
Standard_EXPORT void | DumpEntity (const Handle(Interface_InterfaceModel)&model, const Handle(Interface_Protocol)&protocol, const Handle(Standard_Transient)&entity, const Handle(Message_Messenger)&S, const Standard_Integer level) const
| Dumps an entity under STEP form, i.e. as a part of a Step file Works with a StepDumper. Level 0 just displays type; level 1 displays the entity itself and level 2 displays the entity plus its shared ones (one sub-level : immediately shared entities) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thecopymode
Standard_Integer | thelabmode

## Constructor & Destructor Documentation

Standard_EXPORT StepSelect_WorkLibrary::StepSelect_WorkLibrary | ( | const Standard_Boolean | copymode = `Standard_True` | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean StepSelect_WorkLibrary::CopyModel | ( | const Handle(Interface_InterfaceModel)& | original,
|  | const Handle(Interface_InterfaceModel)& | newmodel,
|  | const Interface_EntityIterator & | list,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Reimplemented from IFSelect_WorkLibrary.

Standard_EXPORT void StepSelect_WorkLibrary::DumpEntity | ( | const Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Interface_Protocol)& | protocol,
|  | const Handle(Standard_Transient)& | entity,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | level
| ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

Standard_EXPORT const StepSelect_WorkLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_WorkLibrary.

Standard_EXPORT Standard_Integer StepSelect_WorkLibrary::ReadFile | ( | const Standard_CString | name,
|  | Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Interface_Protocol)& | protocol
| ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

Standard_EXPORT void StepSelect_WorkLibrary::SetDumpLabel | ( | const Standard_Integer | mode | ) |

Standard_EXPORT Standard_Boolean StepSelect_WorkLibrary::WriteFile | ( | IFSelect_ContextWrite & | ctx | ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

## Field Documentation

Standard_Boolean StepSelect_WorkLibrary::thecopymode `[private]`

Standard_Integer StepSelect_WorkLibrary::thelabmode `[private]`

The documentation for this class was generated from the following file:

- StepSelect_WorkLibrary.hxx